Open SCAP Library

xccdf_rule_result_iterator Struct Reference
XCCDF

Override iterator. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions
Iterators
struct xccdf_rule_result * | xccdf_rule_result_iterator_next (struct xccdf_rule_result_iterator *it)
| Return the next xccdf_rule_result structure from the list and increment the iterator.
bool | xccdf_rule_result_iterator_has_more (struct xccdf_rule_result_iterator *it)
| Return true if the list is not empty, false otherwise.
void | xccdf_rule_result_iterator_free (struct xccdf_rule_result_iterator *it)
| Free the iterator structure (it makes no changes to the list structure)
void | xccdf_rule_result_iterator_reset (struct xccdf_rule_result_iterator *it)
| Reset the iterator structure (it makes no changes to the list structure)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
void | xccdf_rule_result_iterator_remove (struct xccdf_rule_result_iterator *it)

## Detailed Description

Override iterator.

See also
  oscap_iterator

The documentation for this struct was generated from the following file:

- xccdf_benchmark.h